# -*- coding: utf-8 -*-

import requests # 各ライブラリを利用できるようにする
import json

def QA_docomo(Key_word,docomo_key,docomo_appId):
    
    url="https://api.apigw.smt.docomo.ne.jp/naturalKnowledge/v1/dialogue?APIKEY={}".format(docomo_key)
    headers = {"Content-Type" : "application/json"}
    payload = {
        "language":"ja-JP",
        "botId":"Knowledge",
        "appId":docomo_appId, #appIdの入力
        "voiceText":Key_word,
        "appRecvTime":"YYYY-MM-DD hh:mm:ss",
        "appSendTime":"YYYY-MM-DD hh:mm:ss"
        }
    r = requests.post(url, data=json.dumps(payload),headers=headers)
    return r.json()['systemText']['utterance']

if __name__=='__main__':

    k_word='大化の改心はいつ？'
    d_key='-----------------'#APIキーの入力
    d_appId='---------------'#appIdの入力
    
    #質問に答える関数
    anser=QA_docomo(k_word,d_key,d_appId)

    print(anser)


